Package org.apache.sling.scripting.sightly.java.compiler

## Interface CompilationOutput

    @ProviderType
    public interface CompilationOutput

The `CompilationOutput` encapsulates the result of a compile operation as processed by the `JavaClassBackendCompiler`.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getMainBody()` Provides the generated class' main body section.
`Map<String,​CompilationOutput>` `getSubTemplates()` Provides the sub-templates (`data-sly-template`) code sections.

### Method Detail

#### getMainBody

    String getMainBody()

Provides the generated class' main body section.

Returns:
  the generated class' main body section

#### getSubTemplates

    Map<String,​CompilationOutput> getSubTemplates()

Provides the sub-templates (`data-sly-template`) code sections.

Returns:
  the sub-templates (`data-sly-template`) code sections